# FolderService | windmill-client
Documentation for windmill-client

# Class FolderService

- Defined in src/services.gen.ts:5713

#####
Index

### Constructors

constructor

### Methods

addOwnerToFolder
createFolder
deleteFolder
getFolder
getFolderUsage
listFolderNames
listFolders
removeOwnerToFolder
updateFolder

##
Constructors

### constructor

- new FolderService(): FolderService

- #### Returns FolderService

##
Methods

### `Static` addOwnerToFolder

- addOwnerToFolder(data): CancelablePromise <string>

- add owner to folder

  #### Parameters

  - data: AddOwnerToFolderData

    The data for the request.

  #### Returns CancelablePromise <string>

  string owner added to folder

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5866

### `Static` createFolder

- createFolder(data): CancelablePromise <string>

- create folder

  #### Parameters

  - data: CreateFolderData

    The data for the request.

  #### Returns CancelablePromise <string>

  string folder created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5766

### `Static` deleteFolder

- deleteFolder(data): CancelablePromise <string>

- delete folder

  #### Parameters

  - data: DeleteFolderData

    The data for the request.

  #### Returns CancelablePromise <string>

  string folder deleted

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5808

### `Static` getFolder

- getFolder(data): CancelablePromise < Folder >

- get folder

  #### Parameters

  - data: GetFolderData

    The data for the request.

  #### Returns CancelablePromise < Folder >

  Folder folder

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5827

### `Static` getFolderUsage

- getFolderUsage(data): CancelablePromise < GetFolderUsageResponse >

- get folder usage

  #### Parameters

  - data: GetFolderUsageData

    The data for the request.

  #### Returns CancelablePromise < GetFolderUsageResponse >

  unknown folder

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5846

### `Static` listFolderNames

- listFolderNames(data): CancelablePromise < ListFolderNamesResponse >

- list folder names

  #### Parameters

  - data: ListFolderNamesData

    The data for the request.

  #### Returns CancelablePromise < ListFolderNamesResponse >

  string folder list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5745

### `Static` listFolders

- listFolders(data): CancelablePromise < ListFoldersResponse >

- list folders

  #### Parameters

  - data: ListFoldersData

    The data for the request.

  #### Returns CancelablePromise < ListFoldersResponse >

  Folder folder list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5723

### `Static` removeOwnerToFolder

- removeOwnerToFolder(data): CancelablePromise <string>

- remove owner to folder

  #### Parameters

  - data: RemoveOwnerToFolderData

    The data for the request.

  #### Returns CancelablePromise <string>

  string owner removed from folder

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5888

### `Static` updateFolder

- updateFolder(data): CancelablePromise <string>

- update folder

  #### Parameters

  - data: UpdateFolderData

    The data for the request.

  #### Returns CancelablePromise <string>

  string folder updated

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5787